<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.BusiStabilityMapper">
<sql id="Base_Column_List">
	id as id,
	sensor_code as sensorCode,
	stability_index as stabilityIndex,
	index_type as indexType,
	create_time as createTime
</sql>
<select id="selectBySensorCodeAndType" resultType="com.huatek.busi.entity.BusiStability">
	SELECT
		<include refid="Base_Column_List"/>
	FROM busi_stability t
	WHERE t.sensor_code = #{sensorCode}
	AND t.index_type = #{indexType}
</select>


<select id="selectBySensorCode" resultType="com.huatek.busi.entity.BusiStability">
	SELECT
		<include refid="Base_Column_List"/>
	FROM busi_stability t
	WHERE t.sensor_code = #{sensorCode}
</select>

<select id="findStabilityMapByCondition" resultType="com.huatek.busi.entity.BusiStability">
	SELECT
		<include refid="Base_Column_List"/>
	FROM busi_stability t
	WHERE t.sensor_code = #{sensorCode}
	 and t.index_type = #{indexType}
</select>
</mapper>